Subject: bug#73770: closed (Re: [bug#73770] [PATCH 0/2] Add freedisksysrom)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 19 Oct 2024 13:01:02 +0000

Your bug report

#73770: [PATCH 0/2] Add freedisksysrom

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73770: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73770
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#73770] [PATCH 0/2] Add freedisksysrom
From: Maxim Cournoyer <[email-masked]>
To: Liliana Marie Prikler <[email-masked]>
Cc: [email-masked], 宋文武 <[email-masked]>, Adam Faiz <[email-masked]>
Date: Sat, 19 Oct 2024 21:58:30 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Liliana Marie Prikler <[email-masked]> writes:

> Am Freitag, dem 18.10.2024 um 17:18 +0900 schrieb Maxim Cournoyer:
>> Hi Liliana,
>> 
>> Liliana Marie Prikler <[email-masked]> writes:
>> 
>> > Am Samstag, dem 12.10.2024 um 22:09 +0900 schrieb Maxim Cournoyer:
>> > > This is a free BIOS implementation of the old Nintendo Famicom
>> > > (NES) that replaces the nonfree, firmware blob 'disksys.rom'
>> > > (extracted from the actual device).  It is useful with NES
>> > > emulators such as jg-nestopia.
>> > Perhaps we should add some dashes to make it "free-disksys-rom"?  I
>> > wouldn't split "disk" and "sys" despite the camel case, but I'm in
>> > the mood for kebab otherwise.
>> 
>> According to our naming convention (info '(guix) Package Naming'):
>> 
>>    [...] correspond to the lowercase conversion of the project name
>>    chosen upstream, with underscores replaced with hyphens.  For
>>    instance, GNUnet is available as ‘gnunet’, and SDL_net as ‘sdl-
>> net’.
>> 
>> "freedisksysrom" is the correct name (camel case upstream names are
>> simply converted to lower case)
>> 
>> > More importantly, is it expected that users can just install the
>> > package and run with it or are extra steps needed to import it into
>> > jg et al.?
>> 
>> Currently when you run for example jg-nestopia via jollygood (from
>> the rgrf package), if you try loading a ROM that requires
>> disksys.rom, it will let you know where it expects to find it
>> ('~/.local/share/jollygood/bios/disksys.rom'), and you must manually
>> copy/link such a file there.  I plan on making the integration
>> between jg-nestopia and freedisksysrom seamless in a future
>> (upstream) contribution to jg-nestopia.
> SGTM then

I've retested and sadly it seems my previous findings were incorrect; I
wasn't able to use freedisksysrom as sysdisk.rom with jg-nestopia to
play a vintage plumber's game.

I've detailed that it's still incomplete in its description and may not
be able to play all FDS games yet as a disclaimer, and otherwise pushed
with commit 7b6ab9ebe7 ("gnu: Add freedisksysrom.").

Closing; thanks for the review.

-- 
Thanks,
Maxim

Subject: [PATCH 0/2] Add freedisksysrom
From: Maxim Cournoyer <[email-masked]>
To: [email-masked]
Cc: Maxim Cournoyer <[email-masked]>
Date: Sat, 12 Oct 2024 22:09:38 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

This is a free BIOS implementation of the old Nintendo Famicom (NES) that
replaces the nonfree, firmware blob 'disksys.rom' (extracted from the actual
device).  It is useful with NES emulators such as jg-nestopia.

Maxim Cournoyer (2):
  gnu: Add asm6f.
  gnu: Add freedisksysrom.

 gnu/packages/assembly.scm  | 52 +++++++++++++++++++++++++++++++++++++-
 gnu/packages/emulators.scm | 41 ++++++++++++++++++++++++++++++
 2 files changed, 92 insertions(+), 1 deletion(-)

base-commit: d44beb9b4ad836781928a0c5667e94c0d6df13f0
-- 
2.46.0